Bug 97225 - [i965 on HD4600 Haswell] xcom switch to ingame cinematics cause segmentation fault
Summary: [i965 on HD4600 Haswell] xcom switch to ingame cinematics cause segmentation ...
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Matt Turner
QA Contact: Intel 3D Bugs Mailing List
URL: https://lists.freedesktop.org/archive...
Whiteboard:
Keywords: bisected, regression
Depends on:
Blocks:
 
Reported: 2016-08-06 12:09 UTC by _archuser_
Modified: 2016-08-25 20:45 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
[PATCH] nir: Walk blocks in source code order in lower_vars_to_ssa. (11.10 KB, patch)
2016-08-25 04:05 UTC, Matt Turner
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description _archuser_ 2016-08-06 12:09:29 UTC
Specific parts of xcom: enemy unknown cause a segfault in i965_dri.so (64bit), last known mesa version to work without segfault was 11.2.2-1 (arch package from Feb 11, if i965_dri.so loaded via LIBGL_DRIVERS_PATH, it still works).
Xcom seems to to some specific things when switching to ingame cinematics (e.g. after first mission transition, some stuff near endgame etc.) and only crashes on these parts , rest of the game seems to work fine.

Extended renderer info (GLX_MESA_query_renderer):
    Vendor: Intel Open Source Technology Center (0x8086)
    Device: Mesa DRI Intel(R) Haswell Desktop  (0x412)
    Version: 12.0.1
    Accelerated: yes
    Video memory: 1536MB
    Unified memory: yes
    Preferred profile: core (0x1)
    Max core profile version: 3.3
    Max compat profile version: 3.0
    Max GLES1 profile version: 1.1
    Max GLES[23] profile version: 3.0


(gdb) bt
#0  0x00007fffecf20794 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c06cef0) at nir/nir_phi_builder.c:183
#1  0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c2b9680) at nir/nir_phi_builder.c:183
#2  0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c3092c0) at nir/nir_phi_builder.c:183
#3  0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c3c1030) at nir/nir_phi_builder.c:183
#4  0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff53dd4c70) at nir/nir_phi_builder.c:183
#5  0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff53e988b0) at nir/nir_phi_builder.c:183
#6  0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff53e98b80) at nir/nir_phi_builder.c:183
#7  0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c197090) at nir/nir_phi_builder.c:183
#8  0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c3b9910) at nir/nir_phi_builder.c:183
#9  0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c1a3f40) at nir/nir_phi_builder.c:183
#10 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c19ff70) at nir/nir_phi_builder.c:183
#11 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c1aead0) at nir/nir_phi_builder.c:183
#12 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c3d25b0) at nir/nir_phi_builder.c:183
#13 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c1ac3f0) at nir/nir_phi_builder.c:183
#14 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c473180) at nir/nir_phi_builder.c:183
#15 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c4842c0) at nir/nir_phi_builder.c:183
#16 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c4dc000) at nir/nir_phi_builder.c:183
#17 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c4e9b10) at nir/nir_phi_builder.c:183
#18 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c4efee0) at nir/nir_phi_builder.c:183
#19 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c483740) at nir/nir_phi_builder.c:183
#20 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c1a1aa0) at nir/nir_phi_builder.c:183
#21 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c013160) at nir/nir_phi_builder.c:183
#22 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff53fc8890) at nir/nir_phi_builder.c:183
#23 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c349e10) at nir/nir_phi_builder.c:183
#24 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c038da0) at nir/nir_phi_builder.c:183
#25 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c4d4b60) at nir/nir_phi_builder.c:183
#26 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c4e0790) at nir/nir_phi_builder.c:183
#27 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c13dde0) at nir/nir_phi_builder.c:183
#28 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff53ff9fa0) at nir/nir_phi_builder.c:183
#29 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c0d2180) at nir/nir_phi_builder.c:183
#30 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff53e61cf0) at nir/nir_phi_builder.c:183
#31 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff53f949d0) at nir/nir_phi_builder.c:183
#32 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff53fd8380) at nir/nir_phi_builder.c:183
#33 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff53fe4560) at nir/nir_phi_builder.c:183
#34 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff53ff7190) at nir/nir_phi_builder.c:183
#35 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c054ff0) at nir/nir_phi_builder.c:183
#36 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c0e3710) at nir/nir_phi_builder.c:183
#37 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff53ed0a40) at nir/nir_phi_builder.c:183
#38 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff53eb7620) at nir/nir_phi_builder.c:183
#39 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c036260) at nir/nir_phi_builder.c:183
#40 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c4ee310) at nir/nir_phi_builder.c:183
#41 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff53fa6e70) at nir/nir_phi_builder.c:183
#42 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c2b5250) at nir/nir_phi_builder.c:183
#43 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff53f78e50) at nir/nir_phi_builder.c:183
#44 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c45c9c0) at nir/nir_phi_builder.c:183
#45 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c1923d0) at nir/nir_phi_builder.c:183
#46 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c127e50) at nir/nir_phi_builder.c:183
#47 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff53df4dd0) at nir/nir_phi_builder.c:183
#48 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c3a2b50) at nir/nir_phi_builder.c:183
#49 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff53d3fe70) at nir/nir_phi_builder.c:183
#50 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c042810) at nir/nir_phi_builder.c:183
#51 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c0a9f50) at nir/nir_phi_builder.c:183
#52 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c3587a0) at nir/nir_phi_builder.c:183
#53 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c0b52b0) at nir/nir_phi_builder.c:183
#54 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c0af660) at nir/nir_phi_builder.c:183
#55 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c36c3d0) at nir/nir_phi_builder.c:183
#56 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c372e00) at nir/nir_phi_builder.c:183
#57 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c14c710) at nir/nir_phi_builder.c:183
#58 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c0e74e0) at nir/nir_phi_builder.c:183
#59 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c178f30) at nir/nir_phi_builder.c:183
#60 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c16be10) at nir/nir_phi_builder.c:183
#61 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c1784d0) at nir/nir_phi_builder.c:183
#62 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c3ab220) at nir/nir_phi_builder.c:183
#63 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c3ad6e0) at nir/nir_phi_builder.c:183
#64 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c3a8fb0) at nir/nir_phi_builder.c:183
#65 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c3a6ea0) at nir/nir_phi_builder.c:183
#66 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c17e1c0) at nir/nir_phi_builder.c:183
#67 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c3b1550) at nir/nir_phi_builder.c:183
#68 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff53e9b790) at nir/nir_phi_builder.c:183
#69 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff53f97a40) at nir/nir_phi_builder.c:183
#70 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff53fa9ee0) at nir/nir_phi_builder.c:183
#71 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c4da5a0) at nir/nir_phi_builder.c:183
#72 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c3372f0) at nir/nir_phi_builder.c:183
#73 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c232fd0) at nir/nir_phi_builder.c:183
#74 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c465e30) at nir/nir_phi_builder.c:183
#75 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c4fba10) at nir/nir_phi_builder.c:183
#76 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c0035a0) at nir/nir_phi_builder.c:183
#77 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c45d0c0) at nir/nir_phi_builder.c:183
#78 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c032c10) at nir/nir_phi_builder.c:183
#79 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff53f8bf80) at nir/nir_phi_builder.c:183
#80 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c2ff4c0) at nir/nir_phi_builder.c:183
#81 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff53e9e700) at nir/nir_phi_builder.c:183
#82 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff53ff09e0) at nir/nir_phi_builder.c:183
#83 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff53e6a730) at nir/nir_phi_builder.c:183
#84 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c0fdb30) at nir/nir_phi_builder.c:183
#85 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c29df30) at nir/nir_phi_builder.c:183
#86 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff53fb3000) at nir/nir_phi_builder.c:183
#87 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c05ae10) at nir/nir_phi_builder.c:183
#88 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c2643e0) at nir/nir_phi_builder.c:183
#89 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c23b100) at nir/nir_phi_builder.c:183
#90 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c228990) at nir/nir_phi_builder.c:183
#91 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c3b3c60) at nir/nir_phi_builder.c:183
#92 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c11fac0) at nir/nir_phi_builder.c:183
#93 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c37b710) at nir/nir_phi_builder.c:183
#94 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c115dc0) at nir/nir_phi_builder.c:183
#95 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c329470) at nir/nir_phi_builder.c:183
#96 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff53e954c0) at nir/nir_phi_builder.c:183
#97 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c339530) at nir/nir_phi_builder.c:183
#98 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c2af2c0) at nir/nir_phi_builder.c:183
#99 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c019070) at nir/nir_phi_builder.c:183
#100 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c257d40) at nir/nir_phi_builder.c:183
#101 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff53fcbe60) at nir/nir_phi_builder.c:183
#102 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c260530) at nir/nir_phi_builder.c:183
#103 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c33f1a0) at nir/nir_phi_builder.c:183
#104 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c4fb500) at nir/nir_phi_builder.c:183
#105 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff53e804c0) at nir/nir_phi_builder.c:183
#106 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c13b7c0) at nir/nir_phi_builder.c:183
#107 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c306fd0) at nir/nir_phi_builder.c:183
#108 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff53fa3720) at nir/nir_phi_builder.c:183
#109 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c48cc50) at nir/nir_phi_builder.c:183
#110 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c141570) at nir/nir_phi_builder.c:183
#111 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff53e01e70) at nir/nir_phi_builder.c:183
#112 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c433c50) at nir/nir_phi_builder.c:183
#113 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c336af0) at nir/nir_phi_builder.c:183
#114 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff53e8f580) at nir/nir_phi_builder.c:183
#115 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c464f50) at nir/nir_phi_builder.c:183
#116 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c45ef30) at nir/nir_phi_builder.c:183
#117 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c333740) at nir/nir_phi_builder.c:183
#118 0x00007fffecf20799 in nir_phi_builder_value_get_block_def (val=0x7fff4db51050, block=block@entry=0x7fff4c16ea80) at nir/nir_phi_builder.c:183
#119 0x00007fffecf10d4a in rename_variables_block (block=0x7fff4c16ea80, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:522
#120 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c333740, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#121 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c45ef30, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#122 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c464f50, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#123 0x00007fffecf10cdd in rename_variables_block (block=0x7fff53e8f580, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#124 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c336af0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#125 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c433c50, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#126 0x00007fffecf10cdd in rename_variables_block (block=0x7fff53e01e70, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#127 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c141570, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#128 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c48cc50, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#129 0x00007fffecf10cdd in rename_variables_block (block=0x7fff53fa3720, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#130 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c306fd0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#131 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c13b7c0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#132 0x00007fffecf10cdd in rename_variables_block (block=0x7fff53e804c0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#133 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c4fb500, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#134 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c33f1a0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#135 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c260530, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#136 0x00007fffecf10cdd in rename_variables_block (block=0x7fff53fcbe60, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#137 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c257d40, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#138 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c019070, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#139 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c2af2c0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#140 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c339530, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#141 0x00007fffecf10cdd in rename_variables_block (block=0x7fff53e954c0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#142 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c329470, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#143 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c115dc0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#144 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c37b710, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#145 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c11fac0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#146 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c3b3c60, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#147 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c228990, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#148 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c23b100, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#149 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c2643e0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#150 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c05ae10, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#151 0x00007fffecf10cdd in rename_variables_block (block=0x7fff53fb3000, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#152 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c29df30, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#153 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c0fdb30, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#154 0x00007fffecf10cdd in rename_variables_block (block=0x7fff53e6a730, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#155 0x00007fffecf10cdd in rename_variables_block (block=0x7fff53ff09e0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#156 0x00007fffecf10cdd in rename_variables_block (block=0x7fff53e9e700, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#157 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c2ff4c0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#158 0x00007fffecf10cdd in rename_variables_block (block=0x7fff53f8bf80, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#159 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c032c10, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#160 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c45d0c0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#161 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c0035a0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#162 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c4fba10, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#163 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c465e30, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#164 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c232fd0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#165 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c3372f0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#166 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c4da5a0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#167 0x00007fffecf10cdd in rename_variables_block (block=0x7fff53fa9ee0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#168 0x00007fffecf10cdd in rename_variables_block (block=0x7fff53f97a40, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#169 0x00007fffecf10cdd in rename_variables_block (block=0x7fff53e9b790, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#170 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c3b1550, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#171 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c17e1c0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#172 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c3a6ea0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#173 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c3a8fb0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#174 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c3ad6e0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#175 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c3ab220, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#176 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c1784d0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#177 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c16be10, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#178 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c178f30, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#179 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c0e74e0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#180 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c14c710, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#181 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c372e00, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#182 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c36c3d0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#183 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c0af660, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#184 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c0b52b0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#185 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c3587a0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#186 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c0a9f50, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#187 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c042810, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#188 0x00007fffecf10cdd in rename_variables_block (block=0x7fff53d3fe70, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#189 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c3a2b50, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#190 0x00007fffecf10cdd in rename_variables_block (block=0x7fff53df4dd0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#191 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c127e50, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#192 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c1923d0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#193 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c45c9c0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#194 0x00007fffecf10cdd in rename_variables_block (block=0x7fff53f78e50, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#195 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c2b5250, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#196 0x00007fffecf10cdd in rename_variables_block (block=0x7fff53fa6e70, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#197 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c4ee310, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#198 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c036260, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#199 0x00007fffecf10cdd in rename_variables_block (block=0x7fff53eb7620, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#200 0x00007fffecf10cdd in rename_variables_block (block=0x7fff53ed0a40, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#201 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c0e3710, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#202 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c054ff0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#203 0x00007fffecf10cdd in rename_variables_block (block=0x7fff53ff7190, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#204 0x00007fffecf10cdd in rename_variables_block (block=0x7fff53fe4560, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#205 0x00007fffecf10cdd in rename_variables_block (block=0x7fff53fd8380, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#206 0x00007fffecf10cdd in rename_variables_block (block=0x7fff53f949d0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#207 0x00007fffecf10cdd in rename_variables_block (block=0x7fff53e61cf0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#208 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c0d2180, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#209 0x00007fffecf10cdd in rename_variables_block (block=0x7fff53ff9fa0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#210 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c13dde0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#211 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c4e0790, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#212 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c4d4b60, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#213 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c038da0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#214 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c349e10, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#215 0x00007fffecf10cdd in rename_variables_block (block=0x7fff53fc8890, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#216 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c013160, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#217 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c1a1aa0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#218 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c483740, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#219 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c4efee0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#220 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c4e9b10, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#221 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c4dc000, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#222 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c4842c0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#223 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c473180, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#224 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c1ac3f0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#225 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c3d25b0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#226 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c1aead0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#227 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c19ff70, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#228 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c1a3f40, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#229 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c3b9910, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#230 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c197090, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#231 0x00007fffecf10cdd in rename_variables_block (block=0x7fff53e98b80, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#232 0x00007fffecf10cdd in rename_variables_block (block=0x7fff53e988b0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#233 0x00007fffecf10cdd in rename_variables_block (block=0x7fff53dd4c70, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#234 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c3c1030, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#235 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c3092c0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#236 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c2b9680, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#237 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c06cef0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#238 0x00007fffecf10cdd in rename_variables_block (block=0x7fff53ee9c20, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#239 0x00007fffecf10cdd in rename_variables_block (block=0x7fff53d41d80, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#240 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c007d50, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#241 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c123b50, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#242 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c0a1c20, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#243 0x00007fffecf10cdd in rename_variables_block (block=0x7fff4c2480e0, state=state@entry=0x7fffe067bf30) at nir/nir_lower_vars_to_ssa.c:607
#244 0x00007fffecf126fc in nir_lower_vars_to_ssa_impl (impl=0x7fff4c4dafb0) at nir/nir_lower_vars_to_ssa.c:740
#245 0x00007fffecf127ce in nir_lower_vars_to_ssa (shader=shader@entry=0x7fff4c224620) at nir/nir_lower_vars_to_ssa.c:757
#246 0x00007fffed064e88 in nir_optimize (nir=nir@entry=0x7fff4c224620, is_scalar=is_scalar@entry=true) at brw_nir.c:371
#247 0x00007fffed066bf4 in brw_preprocess_nir (compiler=<optimized out>, nir=nir@entry=0x7fff4c224620) at brw_nir.c:443
#248 0x00007fffecf8daf1 in brw_create_nir (brw=brw@entry=0x7fffa513c270, shader_prog=shader_prog@entry=0x7fff53d09d60, prog=prog@entry=0x7fff53de5970, stage=stage@entry=MESA_SHADER_FRAGMENT, is_scalar=<optimized out>)
    at brw_program.c:91
#249 0x00007fffecf84f02 in brw_link_shader (ctx=0x7fffa513c270, shProg=0x7fff53d09d60) at brw_link.cpp:263
#250 0x00007fffecdf91a1 in _mesa_glsl_link_shader (ctx=0x7fffa513c270, prog=0x7fff53d09d60) at program/ir_to_mesa.cpp:3070
#251 0x00007fffecd0036d in _mesa_link_program (ctx=0x7fffa513c270, shProg=0x7fff53d09d60) at main/shaderapi.c:1093
#252 0x0000000002644dfd in COpenGLShaderProgramObject::PrepareGLSLProgramObject(bool&) ()
#253 0x000000000263d863 in COpenGLShaderProgramManager::LinkCurrentShaderProgram(bool&) ()
#254 0x000000000263e46b in COpenGLShaderProgramManager::ActivateShaderProgram(eGLContextUsage, bool&) ()
#255 0x00000000025100df in IndirectX::IdxDirect3DDevice9::GLFinaliseShaderState() ()
#256 0x00000000024e55e3 in IndirectX::IdxDirect3DDevice::PrepareToDraw(IndirectX::D3DPrimitive*) ()
#257 0x00000000024e6e23 in IndirectX::IdxDirect3DDevice::DrawAnIndexedPrimitive(IdxPrimitiveType, unsigned int, unsigned int, void const*, unsigned int, unsigned int, unsigned int, void const*, unsigned int) ()
#258 0x0000000002511bda in IndirectX::IdxDirect3DDevice9::DrawIndexedPrimitiveUP(IndirectX::_D3DPRIMITIVETYPE, unsigned int, unsigned int, unsigned int, void const*, IndirectX::_D3DFORMAT, void const*, unsigned int) ()
#259 0x000000000153410e in FProjectedShadowInfo::RenderProjection(int, FViewInfo const*, unsigned char, unsigned int) const ()
#260 0x0000000001536846 in FSceneRenderer::RenderProjections(FLightSceneInfo const*, TArray<FProjectedShadowInfo*, SceneRenderingAllocator> const&, unsigned int, unsigned int) ()
#261 0x00000000015380f4 in FSceneRenderer::RenderProjectedShadows(FLightSceneInfo const*, unsigned int, unsigned int) ()
#262 0x000000000179f61a in FSceneRenderer::RenderLights(unsigned int, unsigned int, unsigned int) ()
#263 0x0000000001b36f16 in FSceneRenderer::RenderDPGEnd(unsigned int, unsigned int, unsigned int&, unsigned int) ()
#264 0x0000000001b3f5bb in FSceneRenderer::Render() ()
#265 0x0000000001b3fbf4 in ?? ()
#266 0x0000000001b3fc1d in ?? ()
#267 0x000000000192dde4 in RenderingThreadMain() ()
#268 0x0000000001936369 in FRenderingThread::Run() ()
#269 0x0000000000e8071d in FRunnableThreadWin::Run() ()
#270 0x0000000000e80786 in FRunnableThreadWin::_ThreadProc(void*) ()
#271 0x00000000025fb983 in CHThread::StaticRunThread(void*, bool&) ()
#272 0x0000000002686014 in CPThread::Run() ()
#273 0x00007ffff79ae474 in start_thread () from /usr/lib/libpthread.so.0
#274 0x00007ffff327a81f in clone () from /usr/lib/libc.so.6

apitrace / glretrace produce traces that always crash semi-randomly during replay and are unusable for me atm.
Trace shows recursive calls to nir_phi_builder_value_get_block_def ? -> stack overflow causing SEGSEGV ?
Not a C programmer here, took some time to set this up to work at all.

I just made a debug build of the i965_dri driver to load vie LIBGL_DRIVERS_PATH from master/git so I finally had a backtrace at all, any help is appreciated.
Comment 1 Matt Turner 2016-08-15 21:40:16 UTC
(In reply to _archuser_ from comment #0)
> Specific parts of xcom: enemy unknown cause a segfault in i965_dri.so
> (64bit), last known mesa version to work without segfault was 11.2.2-1 (arch
> package from Feb 11, if i965_dri.so loaded via LIBGL_DRIVERS_PATH, it still
> works).
> Xcom seems to to some specific things when switching to ingame cinematics
> (e.g. after first mission transition, some stuff near endgame etc.) and only
> crashes on these parts , rest of the game seems to work fine.
>
> apitrace / glretrace produce traces that always crash semi-randomly during
> replay and are unusable for me atm.

If the trace was used to get the backtrace, I suspect it'll be useful to me. Could you post it somewhere?

> Trace shows recursive calls to nir_phi_builder_value_get_block_def ? ->
> stack overflow causing SEGSEGV ?

That looks plausible.

> Not a C programmer here, took some time to set this up to work at all.

I'm very appreciative!
Comment 2 _archuser_ 2016-08-16 21:53:33 UTC
I created a new trace via the apitrace wrapper library to run while running gdb using latest mesa-git, the new trace and backtrace can be found here (glretrace still crashes randomly on replay though):

https://drive.google.com/open?id=0B_oUaHk11vY2T2t5X1lVUEdLNDg
Comment 3 Matt Turner 2016-08-22 20:57:18 UTC
(In reply to _archuser_ from comment #2)
> I created a new trace via the apitrace wrapper library to run while running
> gdb using latest mesa-git, the new trace and backtrace can be found here
> (glretrace still crashes randomly on replay though):
> 
> https://drive.google.com/open?id=0B_oUaHk11vY2T2t5X1lVUEdLNDg

Thanks.

I have run this trace in valgrind on my Haswell, master and 12.0.1 and I cannot reproduce same backtrace as you.

However, I do see

==26838== Thread 4:
==26838== Invalid read of size 2
==26838==    at 0x4C30D78: memcpy@@GLIBC_2.14 (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
==26838==    by 0xA75A1BD: memcpy (string3.h:53)
==26838==    by 0xA75A1BD: copy_array_to_vbo_array.isra.1 (brw_draw_upload.c:428)
==26838==    by 0xA75AB98: brw_prepare_vertices (brw_draw_upload.c:663)
==26838==    by 0xA75B1C8: brw_emit_vertices (brw_draw_upload.c:779)
==26838==    by 0xA76FACC: check_and_emit_atom (brw_state_upload.c:761)
==26838==    by 0xA76FACC: brw_upload_pipeline_state (brw_state_upload.c:874)
==26838==    by 0xA76FACC: brw_upload_render_state (brw_state_upload.c:896)
==26838==    by 0xA75941B: brw_try_draw_prims (brw_draw.c:582)
==26838==    by 0xA75941B: brw_draw_prims (brw_draw.c:673)
==26838==    by 0xA57B837: vbo_validated_drawrangeelements (vbo_exec_array.c:813)
==26838==    by 0xA57BB77: vbo_exec_DrawRangeElementsBaseVertex (vbo_exec_array.c:907)
==26838==    by 0x4AC5A5: ??? (in /usr/bin/glretrace)
==26838==    by 0x40CDA8: ??? (in /usr/bin/glretrace)
==26838==    by 0x40D3E7: ??? (in /usr/bin/glretrace)
==26838==    by 0x40D7B1: ??? (in /usr/bin/glretrace)

I also see 

==26838== Invalid read of size 4
==26838==    at 0xA83D002: brw::vec4_visitor::var_range_end(unsigned int, unsigned int) const (brw_vec4_live_variables.cpp:335)
==26838==    by 0xA82AFE9: brw::vec4_visitor::opt_register_coalesce() (brw_vec4.cpp:1114)
==26838==    by 0xA82F18D: brw::vec4_visitor::run() [clone .part.18] [clone .constprop.19] (brw_vec4.cpp:1992)
==26838==    by 0xA82FE5F: brw_compile_vs (brw_vec4.cpp:2175)
==26838==    by 0xA774E99: brw_codegen_vs_prog (brw_vs.c:194)
==26838==    by 0xA7754F2: brw_vs_precompile (brw_vs.c:405)
==26838==    by 0xA75F93A: brw_shader_precompile (brw_link.cpp:65)
==26838==    by 0xA75F93A: brw_link_shader (brw_link.cpp:283)
==26838==    by 0xA6012BA: _mesa_glsl_link_shader (ir_to_mesa.cpp:3070)
==26838==    by 0xA51534B: _mesa_link_program.part.20 (shaderapi.c:1093)
==26838==    by 0x5816AD: ??? (in /usr/bin/glretrace)
==26838==    by 0x40CDA8: ??? (in /usr/bin/glretrace)
==26838==    by 0x40D3E7: ??? (in /usr/bin/glretrace)

which I've fixed with commit

commit e7c376adfdecd4c1333997c8be8bb066a87c67b4
Author: Matt Turner <mattst88@gmail.com>
Date:   Thu Aug 18 15:54:47 2016 -0700

    i965/vec4: Ignore swizzle of VGRF for use by var_range_end().


I'll investigate the problem in copy_array_to_vbo_array now.

I've tried Mesa master and 12.0.1 compiled with and without debugging (-O0 -ggdb3) with gcc 4.9.3 and gcc 5.4.0. A co-worker tried on Haswell and Arch, with the default Arch packages, as well as mesa master compiled with gcc 6.1.1. He could only reproduce the same problems I've noted in this comment.

I wouldn't think the problem in copy_array_to_vbo_array was related to the crash you're seeing, but I guess we won't know for sure until it's fixed.
Comment 4 Matt Turner 2016-08-22 21:26:33 UTC
I should also mention that I can reproduce the two problems I noted with Mesa 11.2.2, so they seem unlikely to be the cause of the problem you see.
Comment 5 Matt Turner 2016-08-23 03:48:12 UTC
Another idea, you might try reverting this commit:

commit 2c1c060b031a7c179653ee83f28f7325c47ebd04
Author: Jordan Justen <jordan.l.justen@intel.com>
Date:   Tue May 10 14:22:13 2016 -0700

    util/ralloc: Remove double zero'ing of rzalloc buffers

It is in the 12.0 branch but not 11.2.
Comment 6 Jordan Justen 2016-08-23 04:11:58 UTC
(In reply to Matt Turner from comment #5)
> Another idea, you might try reverting this commit:
> 
> commit 2c1c060b031a7c179653ee83f28f7325c47ebd04
> Author: Jordan Justen <jordan.l.justen@intel.com>
> Date:   Tue May 10 14:22:13 2016 -0700
> 
>     util/ralloc: Remove double zero'ing of rzalloc buffers
> 
> It is in the 12.0 branch but not 11.2.

Note that both before and after this patch we should
be (still) zero filling all ralloc'd buffers by using
calloc.

This patch was just removing the additional memset
when rzalloc was used.
Comment 7 Matt Turner 2016-08-23 04:29:25 UTC
(In reply to Jordan Justen from comment #6)
> This patch was just removing the additional memset
> when rzalloc was used.

Oh, right. That's probably not the culprit then.
Comment 8 Matt Turner 2016-08-23 23:41:09 UTC
I just played the first mission of Enemy Within and got a segfault immediately before the cinematic began. Progress!
Comment 9 Matt Turner 2016-08-24 06:19:14 UTC
After a very painful bisect, I've found this commit to be the culprit:

commit 7d539080c1a491aff9fb3e90c25df89884477aa8
Author: Kenneth Graunke <kenneth@whitecape.org>
Date:   Tue Nov 17 00:26:37 2015 -0800

    nir: Add a writemask to store intrinsics.

Interestingly, it is in 11.2. I found 11.2-branchpoint to be bad and 11.1-branchpoint to be good, and so those were the starting points of my bisection.
Comment 10 Matt Turner 2016-08-24 21:28:08 UTC
I've got a fix.
Comment 11 Matt Turner 2016-08-25 04:05:02 UTC
Patch on the list:

   [PATCH] nir: Walk blocks in source code order in lower_vars_to_ssa.
Comment 12 Matt Turner 2016-08-25 04:05:35 UTC
Created attachment 126028 [details] [review]
[PATCH] nir: Walk blocks in source code order in lower_vars_to_ssa.
Comment 13 Matt Turner 2016-08-25 20:45:13 UTC
Thanks again for the great bug report. I've pushed the fix as

commit e53130cc27b966a09d48be53cb51e09ea7ad0649
Author: Matt Turner <mattst88@gmail.com>
Date:   Wed Aug 24 19:25:58 2016 -0700

    nir: Walk blocks in source code order in lower_vars_to_ssa.

and tagged it for the stable branch, so it should be available in 11.2.3 and 12.0.2.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.